=== debian/changelog ===
nc-py-api (0.18.2-2) unstable; urgency=medium

  * debian/control: set "Multi-Arch: foreign" for python-nextcloud-api-doc
  * extend metadata in debian/patches/remove_autodoc_pydantic.diff
  * add debian/tests/autopkgtest-pkg-python.conf to make autopkgtest-pkg-python
    work correctly

 -- Philipp Huebner <debalance@debian.org>  Thu, 06 Feb 2025 07:51:31 +0100

nc-py-api (0.18.2-1) unstable; urgency=medium

  * Initial release (closes: #1095056).

 -- Philipp Huebner <debalance@debian.org>  Mon, 03 Feb 2025 09:54:56 +0100
