=== debian/control ===
Source: nc-py-api
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dotenv,
               python3-fastapi,
               python3-hatchling,
               python3-httpx,
               python3-pydantic,
               python3-requests,
               python3-sphinx,
               python3-sphinx-copybutton,
               python3-sphinx-inline-tabs,
               python3-sphinx-issues,
               python3-sphinx-rtd-theme,
               python3-truststore,
               python3-xmltodict
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/cloud-py-api/nc_py_api
Vcs-Browser: https://salsa.debian.org/python-team/packages/nc-py-api
Vcs-Git: https://salsa.debian.org/python-team/packages/nc-py-api.git

Package: python3-nextcloud-api
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-nextcloud-api-doc
Description: Python library that provides an API to interact with Nextcloud
 Python library that provides a robust and well-documented API that allows
 developers to interact with and extend Nextcloud's functionality.
 The key features are:
  - Fast: High performance, and as low-latency as possible.
  - Intuitive: Fast to code, easy to use.
  - Reliable: Minimum number of incompatible changes.
  - Robust: All code is covered with tests as much as possible.
  - Easy: Designed to be easy to use with excellent documentation.
  - Sync + Async: Provides both sync and async APIs.
 .
 This package installs the library for Python 3.

Package: python-nextcloud-api-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: docs for Python library that provides an API to interact with Nextcloud
 Python library that provides a robust and well-documented API that allows
 developers to interact with and extend Nextcloud's functionality.
 The key features are:
  - Fast: High performance, and as low-latency as possible.
  - Intuitive: Fast to code, easy to use.
  - Reliable: Minimum number of incompatible changes.
  - Robust: All code is covered with tests as much as possible.
  - Easy: Designed to be easy to use with excellent documentation.
  - Sync + Async: Provides both sync and async APIs.
 .
 This is the common documentation package.
