=== examples/as_app/talk_bot/requirements.txt ===
nc_py_api[app]>=0.14.0
