=== examples/as_app/talk_bot_ai/requirements.txt ===
nc_py_api[app]>=0.14.0
transformers>=4.33
torch
torchvision
torchaudio
