=== examples/as_app/to_gif/requirements.txt ===
nc_py_api[app]>=0.14.0
pygifsicle
imageio
opencv-python
numpy
