=== debian/changelog ===
nc-py-api (0.19.2-1) unstable; urgency=medium

  * New upstream version 0.19.2
  * Updated Standards-Version: 4.7.2 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 30 Mar 2025 15:53:40 +0200
