=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-truststore,
                python3-xmltodict
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/cloud-py-api/nc_py_api
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nc-py-api
 Vcs-Git: https://salsa.debian.org/python-team/packages/nc-py-api.git
